#ifdef GL_ES
	precision mediump float;
#endif

varying vec2 v_uv;

uniform vec4 u_multiplier;
uniform vec4 u_color;


uniform sampler2D u_sampler;


void main () {

	vec4 base = texture2D(u_sampler, v_uv); 
	
	base = base * u_multiplier + u_color; 
	
	gl_FragColor = base;

	
}
