#ifdef GL_ES
	precision mediump float;
#endif

uniform sampler2D u_sampler;
varying vec4 v_uv;

varying float v_type;

uniform vec4 u_pos_modif;

void main() {



	float hl = v_uv.p;  // highlighted
	float hl2 = v_uv.q; // radio bullet
	
	
	vec4 t = texture2D(u_sampler, vec2(v_uv.s, v_uv.t) );
	

	vec4 v = (1.0 - v_type)*t + (v_type)*( vec4(0.29, 0.27, 0.25, 0.667) + vec4(0.35*hl + hl2, 0.35*hl + hl2, 0.35*hl + hl2, 0.0) );

	


	v.a = v.a * u_pos_modif.a;

	gl_FragColor = v;   
	
}
